<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# SENDPOSCTARD                                                     #
# Képeslapküldés programja                                         #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.22.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/
// Cím kiírása
  echo "        <div class=\"cim\">".ucfirst($szoveg[kepeslapkuld])."</div>\n";

// Ha aküldés lett kiválasztva
  if ($_REQUEST['mode'] == 'send') {
    $hiba = "";
    $ugras = "";
    // képeslap adatai
    $cimzett_email = $_REQUEST['cemail'];
    $cimzett_nev = $_REQUEST['cnev'];
    $felado_email = $_REQUEST['femail'];
    $felado_nev = $_REQUEST['fnev'];
    $level_uzenet = $_REQUEST['uzenet'];
    // Ellenőrízzük, hogy létező e-mail cím-e a címzett
    if (valid_email($cimzett_email) == 0) { 
      $hiba = ucfirst($szoveg[hibas_email]);
      $ugras = "cemail";
    }
    // Ellenőrízzük, hogy létező e-mail cím-e a feladó
    if (valid_email($felado_email) == 0) { 
      $hiba = ucfirst($szoveg[hibas_email]);
      $ugras = "femail";
    }
    // Ha hiba van, akkor kiírjuk
    if ($hiba != "") {
      echo "          <div class=\"hiba\">".$hiba."</div>";
      include("sendpostcard-form.php");
      echo "          <script language=\"Javascript\">document.kepeslapkuldes.".$ugras.".focus();document.kepeslapkuldes.".$ugras.".select();</script>\n";
    }
    // Egyébként beírjuk az adatbázisba, elküldjük az értesítőlevelet, és megköszönjük
    else {
      // Adatbázisba írjuk a képeslapot
      $kuldes_datum = date("Y-m-d H:i:s");
      $beszur_sql = "INSERT INTO kepeslapok VALUES (
                      '".$kuldes_datum."',
                      '".$cimzett_email."',
                      '".$cimzett_nev."',
                      '".$felado_email."',
                      '".$felado_nev."',
                      '".$level_uzenet."',
                      ".$id.",
                      '".$_SERVER['REMOTE_ADDR']."')";
      //echo $beszur_sql."<p>\n";
      // Ha sikerül beszúrni az adatbázisba, jöhet az értesítő kiküldése
      if (lekerdezes($beszur_sql)) {
        // Értesítőlevél küldése
        set_time_limit(0);
        include_once("modules/class.phpmailer.php");            
        $getcode = md5($kuldes_datum);
        $level_targy = ucfirst($szoveg[level_kepeslaperkezett]);
        // levélküldés indítása
        $mail = new PHPMailer();
        $mail->SetLanguage("hu", "."); // magyar nyelvű hibaüzenetek
        $mail->IsSMTP();               // levél küldése SMTP szerveren keresztül
        $mail->Host = $smtp['host'];   // smtp szerver
        $mail->CharSet = "utf-8";      
        // Ha az SMTP küldés azonosításhoz kötött
        if ($smtp['auth'] == 1) {
          $mail->Mail->SMTPAuth = true;
          $mail->Mail->Username = $smtp['user'];
          $mail->Mail->Password = $smtp['pass'];
        }
        // levél szövege 
        $level = "<html>\n";
        $level .= "<head><meta http-equiv=\"content-type\" content=\"text/html; charset=".$charset."\"></head>\n";
        $level .= "<body bgcolor=white>\n";
        $level .= "<B>".ucfirst($szoveg[level_megszolit])." ".$cimzett_nev."!</B><p>\n";
        $level .= $felado_nev." (".$felado_email.") ".$szoveg[level_udvlapkuld]."!<p>\n";
        $level .= ucfirst($szoveg[level_megtekintkattint])."!\n";
        $level .= "(".ucfirst($szoveg[level_taroljuk]).".)<p>\n";        
        $hivatkozas = $url."/index.php?do=getpostcard&id=".$getcode;
        $level .= "<a href=\"".$hivatkozas."\">".$hivatkozas."</a>\n<p>\n";        
        $level .= "<hr>\n";
        $level .= "&nbsp; &nbsp;  ".$szoveg[title]." - ".$szoveg[kepeslapkuld]."<p>\n";
        $level .= "</body></html>\n";
        $mail->From = $felado_email;
        $mail->FromName = $felado_nev;
        $mail->AddAddress($_REQUEST['cemail'], $_REQUEST['cnev']);
        $mail->Subject = $level_targy; 
        $mail->IsHTML(true);           // HTML lesz a levél szövege
        $mail->Body = $level;
        if(!$mail->Send()) {
          echo "      <div class=\"hiba\">".ucfirst($szoveg[level_nemkuld]).". ".ucfirst($szoveg[hibauzenet]).": ".$mail->ErrorInfo."</div>\n";        
          contactme();
          exit;
        }
        else {
          // mellékletek és címek törlése a következő ciklushoz
          $mail->ClearAddresses();
          // Köszönjük üzenet
          echo "      <div class=\"alcim\">".ucfirst($szoveg[kepeslapkuld_siker])."!</div>";
          echo "      <div>\n";
          echo "        <a href=\"".$_REQUEST['back']."\" class=\"link\"><img src=\"images/nyil_vissza.gif\" width=\"13\" height=\"7\" border=\"0\" align=\"absmiddle\">";
          echo ucfirst($szoveg['vissza'])."</a>\n";
          echo "      </div>\n";
        }
      }
    }
  }
  
// Egyébként képeslapküldő megejelnítése
  else {
  // A képpel rendelkező műalkotások lekérdezése 
    $lekerdezes_galeria = lekerdezes("SELECT * FROM nezet_mualkotas_fotoi 
      LEFT JOIN nezet_mualkotasok on nezet_mualkotas_fotoi.mu_kod = nezet_mualkotasok.mu_azon
      WHERE foto_kod = ".$id."
      ORDER BY mu_cim");
    $ossz_alkotasok = ossz_rekord($lekerdezes_galeria);
    if ($ossz_alkotasok>0) {
      include("sendpostcard-form.php");
    }
    else {    
      echo "        <div class=\"hiba\">".ucfirst($szoveg[nincsfoto]).".</div>\n";
    }
    echo "      <div>\n";
    echo "        <a href=\"".$_SERVER['HTTP_REFERER']."\" class=\"link\"><img src=\"images/nyil_vissza.gif\" width=\"13\" height=\"7\" border=\"0\" align=\"absmiddle\">\n";
    echo "        ".ucfirst($szoveg['vissza'])."</a>\n";
    echo "      </div>\n";
  }
    echo "      <div title=\"".ucfirst($szoveg['bezarklikk'])."\" id=\"postcard\" onClick=\"postcardpopupclose()\"></div>\n";
?>      
